VIGRA - TemplateLineIterator class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| LineIterator Class Template Reference |
--- | --- | ---

Iterator adapter to iterate along an arbitrary line on the image. More...

`#include "vigra/imageiteratoradapter.hxx"`

## Public Types
typedef IMAGE_ITERATOR::value_type | value_type
typedef IMAGE_ITERATOR::value_type | PixelType
typedef IMAGE_ITERATOR::reference | reference
typedef IMAGE_ITERATOR::pointer | pointer
typedef std::forward_iterator_tag | iterator_category
typedef IMAGE_ITERATOR | Adaptee
## Public Methods
| LineIterator (IMAGE_ITERATOR const &start, IMAGE_ITERATOR const &end)
Navigation
Methods
bool | operator== (LineIterator const &c) const
bool | operator!= (LineIterator const &c) const
reference | operator * () const
pointer | operator-> () const
Adaptee & | adaptee () const

## Detailed Description

### template<class IMAGE_ITERATOR>
class vigra::LineIterator< IMAGE_ITERATOR >

Iterator adapter to iterate along an arbitrary line on the image.

This iterator may be initialized from a standard ImageIterator, a MultibandImageIterator and so on. It gives you STL-compatible (forward iterator) access to an arbitraty line on the image. The iterator gets associated with the accessor of the base iterator.

#include "vigra/imageiteratoradapter.hxx"

Namespace: vigra

Examples:

  profile.cxx.

## Member Typedef Documentation

typedef IMAGE_ITERATOR Adaptee

| the type of the adapted iterator

typedef std::forward_iterator_tag iterator_category

| the iterator tag (forward iterator)

typedef IMAGE_ITERATOR::value_type PixelType

| the iterator's value type

typedef IMAGE_ITERATOR::pointer pointer

| the iterator's pointer type (return type of `iter.operator->()`)

typedef IMAGE_ITERATOR::reference reference

| the iterator's reference type (return type of `*iter`)

typedef IMAGE_ITERATOR::value_type value_type

| the iterator's value type

## Constructor & Destructor Documentation

LineIterator | ( | IMAGE_ITERATOR const & | start,
|  | IMAGE_ITERATOR const & | end
| ) | `[inline]`

| Construct from an the image iterator to be adapted.

## Member Function Documentation

Adaptee& adaptee | ( |  | ) | const`[inline]`

| Get a reference to the adapted iterator

reference operator * | ( |  | ) | const`[inline]`

| Access current pixel.

bool operator!= | ( | LineIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Inequality.

pointer operator-> | ( |  | ) | const`[inline]`

| Call member function for current pixel.

bool operator== | ( | LineIterator< IMAGE_ITERATOR > const & | c | ) | const`[inline]`

| Equality.

The documentation for this class was generated from the following file:

- vigra/imageiteratoradapter.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)